#include <bits/stdc++.h>

using namespace std;

#define ll long long

ll razloziCifru(ll c){
    ll rezultat = 0;

    while(c >= 5){
        c -= 5;
        rezultat++;
    }

    while(c >= 2){
        c -= 2;
        rezultat++;
    }

    while(c >= 1){
        c -= 1;
        rezultat++;
    }

    return rezultat;
}


int main()
{
    stack<ll> cifre;
    ll V;
    ll rezultat = 0;
    cin >> V;
    while(V > 0){
        cifre.push(V%10);
        V = V/10;
    }

    while(!cifre.empty()){
        rezultat += razloziCifru(cifre.top());
        cifre.pop();
    }

    cout << rezultat;
    return 0;
}